## GDataAPPCategories GDataAPPCategories — GData APP categories object |

## Stability Level

Unstable, unless otherwise indicated

## Functions

GList * | gdata_app_categories_get_categories ()
gboolean | gdata_app_categories_is_fixed ()

## Properties

gboolean | is-fixed | Read

## Types and Values

| GDataAPPCategories
| GDataAPPCategoriesClass

## Object Hierarchy

        GObject
        ╰── GDataParsable
            ╰── GDataAPPCategories

## Includes

    #include <gdata/app/gdata-app-categories.h>

## Description

GDataAPPCategories is a list of categories (GDataCategory) returned as the result of querying an

Atom Publishing Protocol Category Document.

## Functions

### gdata_app_categories_get_categories ()

    GList *
    gdata_app_categories_get_categories (GDataAPPCategories *self);

Returns a list of the categories in this category list.

#### Parameters

self | a GDataAPPCategories |

#### Returns

a GList of GDataCategorys.

[element-type GData.Category][transfer none]

Since 0.7.0

### gdata_app_categories_is_fixed ()

    gboolean
    gdata_app_categories_is_fixed (GDataAPPCategories *self);

Returns “is-fixed”.

#### Parameters

self | a GDataAPPCategories |

#### Returns

whether entries may use categories not in this category list

Since 0.7.0

## Types and Values

### GDataAPPCategories

    typedef struct _GDataAPPCategories GDataAPPCategories;

All the fields in the GDataAPPCategories structure are private and should never be accessed directly.

Since 0.7.0

### GDataAPPCategoriesClass

    typedef struct {
    } GDataAPPCategoriesClass;

All the fields in the GDataAPPCategoriesClass structure are private and should never be accessed directly.

Since 0.7.0

## Property Details

### The `“is-fixed”` property

      “is-fixed”                 gboolean

Whether entries may use categories not in this category list.

API reference: app:categories

Flags: Read

Default value: FALSE

Since 0.7.0